# Uses of Interface
org.opensaml.soap.wstrust.SignWith

Packages that use SignWith
Package
Description
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of SignWith in org.opensaml.soap.wstrust.impl

Classes in org.opensaml.soap.wstrust.impl that implement SignWith
Modifier and Type
Class
Description
`class`
`SignWithImpl`
SignWithImpl.
Methods in org.opensaml.soap.wstrust.impl that return SignWith
Modifier and Type
Method
Description
`SignWith`
SignWithBuilder.`buildObject()`
Builds a WS-Trust object of the given type.
`SignWith`
SignWithBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.